Sync with portage [Sun Jan 8 23:22:26 MSK 2012].

mhiretskiy
root 13 years ago
parent 2ba5c9775d
commit 8d3f5db2ef

@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/grubconfig/grubconfig-1.28-r1.ebuild,v 1.1 2008/04/07 05:34:55 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/grubconfig/grubconfig-1.28-r1.ebuild,v 1.2 2012/01/07 18:11:50 ago Exp $
inherit multilib
@ -10,7 +10,7 @@ SRC_URI="http://www.tux.org/pub/people/kent-robotti/looplinux/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
KEYWORDS="-* amd64 ~x86"
IUSE=""
DEPEND=">=dev-util/dialog-0.7"

@ -66,3 +66,24 @@
"WDC WD10EADS-00M2B0" 194 C "Western Digital Caviar Green 1TB SATA2 5400RPM 32MB"
"WDC WD20EARS-00S8B1" 194 C "Western Digital Caviar Green 2TB SATA2 IntelliPower 64MB"
"WDC WD3200BEKT-00F3T0" 194 C "Western Digital Scorpio Black 320GB SATA2 7200RPM 16MB"
"WDC WD5000AADS" 194 C "Western Digital Caviar Green 500GB SATA2 IntelliPower 32MB"
"WDC WD7500AARX" 194 C "Western Digital Caviar Green 750GB SATA3 IntelliPower 64MB"
"WDC WD3200AZDX" 194 C "Western Digital Caviar Green 320GB SATA3 IntelliPower 32MB"
"WDC WD5000AZDX" 194 C "Western Digital Caviar Green 500GB SATA3 IntelliPower 32MB"
"WDC WD7500AZRX" 194 C "Western Digital Caviar Green 750GB SATA3 IntelliPower 64MB"
"WDC WD10EARS" 194 C "Western Digital Caviar Green 1TB SATA2 IntelliPower 64MB"
"WDC WD20EARS" 194 C "Western Digital Caviar Green 2TB SATA2 IntelliPower 64MB"
"WDC WD10EZRX" 194 C "Western Digital Caviar Green 1TB SATA3 IntelliPower 64MB"
"WDC WD25EZRX" 194 C "Western Digital Caviar Green 2.5TB SATA3 IntelliPower 64MB"
"WDC WD30EZRX" 194 C "Western Digital Caviar Green 3TB SATA3 IntelliPower 64MB"
"WDC WD10EARX" 194 C "Western Digital Caviar Green 1TB SATA3 IntelliPower 64MB"
"WDC WD15EARX" 194 C "Western Digital Caviar Green 1.5TB SATA3 IntelliPower 64MB"
"WDC WD20EARX" 194 C "Western Digital Caviar Green 2TB SATA3 IntelliPower 64MB"
"ST250DM000" 194 C "Seagate Barracuda 7200.14 250GB SATA3 7200RPM 16MB"
"ST320DM000" 194 C "Seagate Barracuda 7200.14 320GB SATA3 7200RPM 16MB"
"ST500DM002" 194 C "Seagate Barracuda 7200.14 500GB SATA3 7200RPM 16MB"
"ST750DM003" 194 C "Seagate Barracuda 7200.14 750GB SATA3 7200RPM 64MB"
"ST1000DM003" 194 C "Seagate Barracuda 7200.14 1TB SATA3 7200RPM 64MB"
"ST1500DM003" 194 C "Seagate Barracuda 7200.14 1.5TB SATA3 7200RPM 64MB"
"ST2000DM001" 194 C "Seagate Barracuda 7200.14 2TB SATA3 7200RPM 64MB"
"ST3000DM001" 194 C "Seagate Barracuda 7200.14 3TB SATA3 7200RPM 64MB"

@ -1 +0,0 @@
DIST mon-0.99.2.tar.bz2 135732 RMD160 c81ffbc16c022d9f3e4a1ed8ea8802dc7f78766e SHA1 e6c0e6faa283d8e92d87e2d35028189662062abe SHA256 d0dfa547180c15f21c9c22557025f75c7e14bd77e808c03e2e59f2303dd6656e

@ -1,18 +0,0 @@
diff -Naurp mon-0.99.2.orig/mon mon-0.99.2/mon
--- mon-0.99.2.orig/mon 2006-08-12 08:16:46.000000000 -0400
+++ mon-0.99.2/mon 2006-08-12 08:18:08.000000000 -0400
@@ -2879,12 +2879,13 @@ debug (1, "PID $p ($runningpid{$p}) exit
$sref->{"_last_detail"} = $detail;
#
- # reset the alertevery timer
+ # reset the alertevery timer, and alertafter interval timer
#
foreach my $period (keys %{$sref->{"periods"}})
{
$sref->{"periods"}->{$period}->{"_last_alert"} = 0;
$sref->{"periods"}->{$period}->{"_alert_sent"} = 0;
+ $sref->{"periods"}->{$period}->{"_1stfailtime"} = 0;
}
#

@ -1,34 +0,0 @@
#
# Very simple mon.cf file
#
# mon.cf,v 1.1 2001/01/20 01:05:43 achim Exp
#
alertdir = /usr/lib/mon/alert.d
mondir = /usr/lib/mon/mon.d
logdir = /var/log/mon.d
statedir = /var/lib/mon.d
maxprocs = 20
histlength = 100
randstart = 60s
#
# define groups of hosts to monitor
#
hostgroup servers localhost
watch servers
service ping
interval 5m
monitor fping.monitor
period wd {Mon-Fri} hr {7am-24pm}
alert mail.alert root@localhost
alertevery 1h
period wd {Sat-Sun}
alert mail.alert root@localhost
service telnet
interval 10m
monitor telnet.monitor
period wd {Mon-Fri} hr {7am-24pm}
alertevery 1h
alertafter 2 30m
alert mail.alert root@localhost

@ -1,32 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/mon/files/mon.rc6,v 1.7 2007/07/09 22:47:42 uberlord Exp $
depend() {
need clock
after logger
}
checkconfig() {
if [ ! -e /etc/mon/mon.cf ] ; then
eerror "You need an /etc/mon/mon.cf file to run mon"
eerror "There is a sample at /etc/mon/mon.cf.sample"
return 1
fi
}
start() {
checkconfig || return 1
ebegin "Starting mon"
start-stop-daemon --start --exec /usr/sbin/mon \
--pidfile /var/run/mon.pid \
-- -P /var/run/mon.pid -f
eend $?
}
stop() {
ebegin "Stopping mon"
start-stop-daemon --stop --pidfile /var/run/mon.pid
eend $?
}

@ -1,51 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/mon/mon-0.99.2-r2.ebuild,v 1.5 2010/10/08 00:06:41 cla Exp $
inherit toolchain-funcs
DESCRIPTION="highly configurable service monitoring daemon"
HOMEPAGE="http://www.kernel.org/software/mon/"
SRC_URI="mirror://kernel/software/admin/mon/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="ppc sparc x86"
IUSE=""
DEPEND=">=dev-perl/Mon-0.9
>=virtual/perl-Time-HiRes-1.20
>=dev-perl/Period-1.20-r2"
RDEPEND="${DEPEND}"
src_compile() {
cd "${S}"/mon.d
make CC="$(tc-getCC) $CFLAGS" || die
}
src_install() {
dosbin mon clients/mon* || die "dosbin"
insinto /usr/lib/mon/utils
doins utils/* || die "doins"
exeinto /usr/lib/mon/alert.d ; doexe alert.d/*
exeinto /usr/lib/mon/mon.d ; doexe mon.d/*.monitor
insopts -g uucp -m 02555 ; doins mon.d/*.wrap
dodir /var/log/mon.d
dodir /var/lib/mon.d
doman doc/*.1
doman doc/*.8
dodoc CHANGES CREDITS KNOWN-PROBLEMS
dodoc mon.lsm README TODO VERSION
docinto txt ; dodoc doc/README*
docinto etc ; dodoc etc/*
newdoc "${FILESDIR}"/mon.cf mon.cf.sample
newinitd "${FILESDIR}"/mon.rc6 mon
insinto /etc/mon
newins "${FILESDIR}"/mon.cf mon.cf.sample
}

@ -1,64 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/mon/mon-0.99.2-r5.ebuild,v 1.2 2010/10/08 00:06:41 cla Exp $
inherit toolchain-funcs eutils multilib
DESCRIPTION="highly configurable service monitoring daemon"
HOMEPAGE="http://www.kernel.org/software/mon/"
SRC_URI="mirror://kernel/software/admin/mon/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="ldap mysql"
DEPEND=">=dev-perl/Mon-0.9
>=virtual/perl-Time-HiRes-1.20
dev-perl/Convert-BER
dev-perl/Filesys-DiskSpace
dev-perl/Net-Telnet
ldap? ( dev-perl/perl-ldap )
dev-perl/Expect
dev-perl/Net-DNS
mysql? ( dev-perl/DBD-mysql )
>=dev-perl/Period-1.20-r2"
RDEPEND="${DEPEND}"
src_unpack() {
unpack ${A}
sed -r '/^LDFLAGS/s:=:= $(LDFLAGS):' -i "${S}"/mon.d/Makefile
cd "${S}" && epatch "${FILESDIR}"/alertafter.patch
}
src_compile() {
cd "${S}"/mon.d
emake CC="$(tc-getCC) ${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
}
src_install() {
dosbin mon clients/mon* || die "dosbin"
insinto /usr/$(get_libdir)/mon/utils
doins utils/* || die "doins"
exeinto /usr/$(get_libdir)/mon/alert.d ; doexe alert.d/*
exeinto /usr/$(get_libdir)/mon/mon.d ; doexe mon.d/*.monitor
insopts -g uucp -m 02555 ; doins mon.d/*.wrap
dodir /var/log/mon.d
dodir /var/lib/mon.d
doman doc/*.1
doman doc/*.8
dodoc CHANGES CREDITS KNOWN-PROBLEMS
dodoc mon.lsm README TODO VERSION
docinto txt ; dodoc doc/README*
docinto etc ; dodoc etc/*
newdoc "${FILESDIR}"/mon.cf mon.cf.sample
newinitd "${FILESDIR}"/mon.rc6 mon
insinto /etc/mon
newins "${FILESDIR}"/mon.cf mon.cf.sample
}

@ -1,3 +1 @@
DIST moodss-20.0.tar.bz2 1693533 RMD160 8e6337773f6ed663f527a6d04d81af9ab971a530 SHA1 c0d8995465ab72f6143a4dc44063341f44e0d676 SHA256 5b4d2517b36bf5c6c465786c6fd90d4b6bd825e76c47c2e024a5958fd659588d
DIST moodss-20.2.tar.bz2 1697188 RMD160 7a525dbcfe2850e439a54cf00a6da1ffbd2988af SHA1 c052590997d6a6f67f8773f19aba959475f413b7 SHA256 aab0a71cc372ad50b15bf2f03db12a889a9d370316be8d55a069e292225405d8
DIST moodss-21.5.tar.bz2 1963647 RMD160 d9478c6bbc3fd509fe898cf44f1efba62e7b51ba SHA1 debde88696c53ea79f2edfa8461de6951052906d SHA256 f44799ff6d485b332bb5b2c72413e3e8e8b79797eed4e5ffb9a1f3bcc436c6c7

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>tcltk</herd>
<herd>tcltk</herd>
</pkgmetadata>

@ -1,64 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/moodss/moodss-20.0.ebuild,v 1.4 2008/02/25 22:36:09 wolf31o2 Exp $
inherit eutils
DESCRIPTION="Modular Object Oriented Dynamic SpreadSheet"
HOMEPAGE="http://moodss.sourceforge.net/"
SRC_URI="mirror://sourceforge/moodss/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ~amd64"
IUSE="mysql perl python"
DEPEND=">=dev-lang/tcl-8.4"
RDEPEND="${DEPEND}
>=dev-lang/tk-8.4
>=dev-tcltk/blt-2.4z
>=dev-tcltk/tktable-2.7
>=dev-tcltk/scwoop-4.0
>=dev-tcltk/tkpiechart-6.1
>=dev-tcltk/bwidget-1.7
>=dev-tcltk/tclxml-2.6
>=dev-tcltk/tcldom-2.6
dev-tcltk/tcllib
mysql? ( dev-tcltk/mysqltcl )
perl? ( dev-tcltk/tclperl )
python? ( dev-tcltk/tclpython )"
# sqlite? ( >=dev-db/sqlite-tcl-2.8.6 )
# odbc? ( dev-tcltk/tclodbc )
pkg_setup() {
if ! built_with_use dev-lang/tcl threads ; then
eerror "Tcl is missing threads support."
eerror "Please add 'threads' to your USE flags, and re-emerge tcl."
die "tcl needs threads support"
fi
}
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:%_datadir:/usr/share:' \
-e 's:%_bindir:/usr/bin:' ${PN}.desktop || die
}
src_compile() {
emake CFLAGS="${CFLAGS}" || die
}
src_install() {
make \
ROOTDIR="${D}" \
MOODSSDOCDIR=/usr/share/doc/${PF} \
install || die
domenu ${PN}.desktop
doicon ${PN}.png
insinto /usr/share/${PN}
doins linux.moo
}

@ -1,63 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/moodss/moodss-20.2.ebuild,v 1.3 2008/02/25 22:36:09 wolf31o2 Exp $
inherit eutils
DESCRIPTION="Modular Object Oriented Dynamic SpreadSheet"
HOMEPAGE="http://moodss.sourceforge.net/"
SRC_URI="mirror://sourceforge/moodss/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="mysql perl python"
DEPEND=">=dev-lang/tcl-8.4"
RDEPEND="${DEPEND}
>=dev-lang/tk-8.4
>=dev-tcltk/blt-2.4z
>=dev-tcltk/tktable-2.7
>=dev-tcltk/scwoop-4.0
>=dev-tcltk/tkpiechart-6.1
>=dev-tcltk/bwidget-1.7
>=dev-tcltk/tclxml-2.6
>=dev-tcltk/tcldom-2.6
dev-tcltk/tcllib
mysql? ( dev-tcltk/mysqltcl )
perl? ( dev-tcltk/tclperl )
python? ( dev-tcltk/tclpython )"
# sqlite? ( >=dev-db/sqlite-tcl-2.8.6 )
# odbc? ( dev-tcltk/tclodbc )
pkg_setup() {
if ! built_with_use dev-lang/tcl threads ; then
eerror "Tcl is missing threads support."
eerror "Please add 'threads' to your USE flags, and re-emerge tcl."
die "tcl needs threads support"
fi
}
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e 's:%_datadir:/usr/share:' \
-e 's:%_bindir:/usr/bin:' ${PN}.desktop || die
}
src_compile() {
emake CFLAGS="${CFLAGS}" || die
}
src_install() {
make \
ROOTDIR="${D}" \
MOODSSDOCDIR=/usr/share/doc/${PF} \
install || die
domenu ${PN}.desktop
doicon ${PN}.png
insinto /usr/share/${PN}; doins linux.moo
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/moodss/moodss-21.5.ebuild,v 1.5 2011/05/23 07:19:23 tomka Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/moodss/moodss-21.5.ebuild,v 1.6 2012/01/07 21:06:57 xarthisius Exp $
EAPI="3"
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/moodss/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
KEYWORDS="amd64 x86"
IUSE="mysql perl python"
DEPEND=">=dev-lang/tcl-8.4[threads]"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sshguard/sshguard-1.5-r1.ebuild,v 1.1 2011/04/25 04:59:42 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/sshguard/sshguard-1.5-r1.ebuild,v 1.2 2012/01/07 18:09:22 ago Exp $
EAPI="2"
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
KEYWORDS="amd64 ~x86 ~x86-fbsd"
IUSE="ipfilter kernel_FreeBSD kernel_linux"
CDEPEND="kernel_linux? ( net-firewall/iptables )

@ -1,2 +1,3 @@
DIST isomaster-1.3.5.tar.bz2 196042 RMD160 813c729b5308e725cbcfea688de343260bae63c5 SHA1 76adcae894a169365e43eaac30f4a7c3926fa78c SHA256 27b9b53d5e361b56a6e302131af2dc97f7135f74786637e6244e075606226597
DIST isomaster-1.3.7.tar.bz2 211673 RMD160 9efdd239c82072510fca2630120bd302b89a8d1c SHA1 b3fb70a0e71c6f8aafb42c7f26367966ea269bcc SHA256 258b1ce0a9da35dc172c7d44866056c6873bd2992984af1e84deb25f4a7b47f7
DIST isomaster-1.3.8.tar.bz2 216102 RMD160 dcb7d84a2f6f6840bba865524680c9364e67e4d5 SHA1 3b5cce19899f63dd943930a2abc43812e6a08ff1 SHA256 9a6e8c5356cac3253501976f49c6b971d088da0fbfb6641d304ea8eda06ab30b

@ -0,0 +1,99 @@
From eabb3f85d12121409f901d64c556a9f579c11864 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sat, 7 Jan 2012 19:30:52 +0100
Subject: [PATCH] Handle NULL return from
gtk_file_chooser_get_current_folder()
---
isobrowser.c | 53 ++++++++++++++++++++++++++++++++++-------------------
1 files changed, 34 insertions(+), 19 deletions(-)
diff --git a/isobrowser.c b/isobrowser.c
index c03548b..e108f03 100644
--- a/isobrowser.c
+++ b/isobrowser.c
@@ -9,6 +9,7 @@
* Andrew Smith, http://littlesvr.ca/misc/contactandrew.php
*
* Contributors:
+* Sebastian Pipping <sebastian@pipping.org>
*
******************************************************************************/
@@ -1454,19 +1455,26 @@ gboolean openIsoCbk(GtkMenuItem* menuItem, gpointer data)
/* RECORD last iso dir */
char* lastIsoDir = gtk_file_chooser_get_current_folder(GTK_FILE_CHOOSER(dialog));
-
- if(GBLappSettings.lastIsoDir != NULL && strlen(lastIsoDir) > strlen(GBLappSettings.lastIsoDir))
+ if(lastIsoDir)
+ {
+ if(GBLappSettings.lastIsoDir != NULL && strlen(lastIsoDir) > strlen(GBLappSettings.lastIsoDir))
+ {
+ free(GBLappSettings.lastIsoDir);
+ GBLappSettings.lastIsoDir = NULL;
+ }
+
+ if(GBLappSettings.lastIsoDir == NULL)
+ GBLappSettings.lastIsoDir = malloc(strlen(lastIsoDir) + 1);
+
+ strcpy(GBLappSettings.lastIsoDir, lastIsoDir);
+
+ g_free(lastIsoDir);
+ }
+ else /* e.g. when opening a file from the <Recently used> view */
{
free(GBLappSettings.lastIsoDir);
GBLappSettings.lastIsoDir = NULL;
}
-
- if(GBLappSettings.lastIsoDir == NULL)
- GBLappSettings.lastIsoDir = malloc(strlen(lastIsoDir) + 1);
-
- strcpy(GBLappSettings.lastIsoDir, lastIsoDir);
-
- g_free(lastIsoDir);
/* END RECORD last iso dir */
}
@@ -1758,20 +1766,27 @@ gboolean saveIsoCbk(GtkWidget *widget, GdkEvent *event)
/* RECORD last iso dir */
char* lastIsoDir = gtk_file_chooser_get_current_folder(GTK_FILE_CHOOSER(dialog));
-
- if(GBLappSettings.lastIsoDir != NULL && strlen(lastIsoDir) > strlen(GBLappSettings.lastIsoDir))
+ if(lastIsoDir)
+ {
+ if(GBLappSettings.lastIsoDir != NULL && strlen(lastIsoDir) > strlen(GBLappSettings.lastIsoDir))
+ {
+ free(GBLappSettings.lastIsoDir);
+ GBLappSettings.lastIsoDir = NULL;
+ }
+
+ if(GBLappSettings.lastIsoDir == NULL)
+ GBLappSettings.lastIsoDir = malloc(strlen(lastIsoDir) + 1);
+
+ strcpy(GBLappSettings.lastIsoDir, lastIsoDir);
+
+ g_free(lastIsoDir);
+ }
+ else /* e.g. when opening a file from the <Recently used> view */
{
free(GBLappSettings.lastIsoDir);
GBLappSettings.lastIsoDir = NULL;
}
-
- if(GBLappSettings.lastIsoDir == NULL)
- GBLappSettings.lastIsoDir = malloc(strlen(lastIsoDir) + 1);
-
- strcpy(GBLappSettings.lastIsoDir, lastIsoDir);
-
- g_free(lastIsoDir);
- /* END RECORD iso save dir */
+ /* END RECORD last iso dir */
askedToAddExtension = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(addExtensionCheckbox));
}
--
1.7.8.3

@ -0,0 +1,61 @@
From 598606c7b96e421ffbcb09ccd9aac61fa83cd0fe Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sat, 7 Jan 2012 17:42:13 +0100
Subject: [PATCH] Unbundle iniparser, fix use of compile/link flags
---
Makefile | 10 +++-------
1 files changed, 3 insertions(+), 7 deletions(-)
diff --git a/Makefile b/Makefile
index 363a36a..c0434fb 100644
--- a/Makefile
+++ b/Makefile
@@ -65,21 +65,18 @@ OBJECTS = isomaster.o window.o browser.o fsbrowser.o isobrowser.o error.o about.
all: translations isomaster.desktop isomaster
-isomaster: $(OBJECTS) lib iniparser
+isomaster: $(OBJECTS) lib
@echo 'Linking isomaster'
- @$(CC) $(OBJECTS) bk/bk.a iniparser-2.17/libiniparser.a $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) `pkg-config --libs gtk+-2.0` -o isomaster
+ @$(CC) $(LDFLAGS) $(OBJECTS) bk/bk.a `pkg-config --libs gtk+-2.0` -liniparser -o isomaster
# static pattern rule
$(OBJECTS): %.o: %.c %.h bk/bk.h Makefile
@echo 'Compiling' $<
- @$(CC) $< $(CFLAGS) $(CPPFLAGS) -c -o $@
+ @$(CC) $(CFLAGS) $(CPPFLAGS) $< -c -o $@
lib:
cd bk && $(MAKE)
-iniparser:
- cd iniparser-2.17 && $(MAKE)
-
translations:
ifndef WITHOUT_NLS
cd po && $(MAKE)
@@ -94,7 +91,6 @@ bk-doc:
clean:
cd bk && $(MAKE) clean
- cd iniparser-2.17 && $(MAKE) clean
ifndef WITHOUT_NLS
cd po && $(MAKE) clean
endif
diff --git a/settings.h b/settings.h
index fda67b7..e619e0c 100644
--- a/settings.h
+++ b/settings.h
@@ -4,7 +4,7 @@
#include <stdbool.h>
#include "isomaster.h"
-#include "iniparser-2.17/src/iniparser.h"
+#include <iniparser.h>
#define ISOMASTER_DEFAULT_WINDOW_WIDTH 500
#define ISOMASTER_DEFAULT_WINDOW_HEIGHT 550
--
1.7.8.3

@ -0,0 +1,52 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/isomaster/isomaster-1.3.8.ebuild,v 1.1 2012/01/07 18:42:47 sping Exp $
EAPI=2
inherit eutils toolchain-funcs
DESCRIPTION="Graphical CD image editor for reading, modifying and writing ISO images"
HOMEPAGE="http://littlesvr.ca/isomaster"
SRC_URI="http://littlesvr.ca/${PN}/releases/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE="nls"
RDEPEND=">=x11-libs/gtk+-2:2
dev-libs/iniparser"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
MYFLAGS=""
pkg_setup() {
MYFLAGS="PREFIX=/usr"
if ! use nls; then
MYFLAGS="${MYFLAGS} WITHOUT_NLS=1"
MYFLAGS="${MYFLAGS} MYDOCPATH=/usr/share/doc/${PF}/bkisofs"
MYFLAGS="${MYFLAGS} ICONPATH=/usr/share/pixmaps/${PN}"
fi
}
src_prepare() {
epatch "${FILESDIR}"/${P}-unbundle-iniparser.patch
rm -R iniparser-2.17 || die
epatch "${FILESDIR}"/${P}-gtk_file_chooser_get_current.patch
}
# bug 274361
src_configure() { :; }
src_compile() {
tc-export CC
emake ${MYFLAGS} || die "emake failed"
}
src_install() {
emake ${MYFLAGS} DESTDIR="${D}" install || die "emake install failed"
dodoc {CHANGELOG,CREDITS,README,TODO}.TXT || die
}

@ -1,5 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>media-optical</herd>
<herd>media-optical</herd>
<maintainer>
<email>sping@gentoo.org</email>
<name>Sebastian Pipping</name>
</maintainer>
</pkgmetadata>

@ -1,2 +1,2 @@
DIST WiRouterKeyRec-1.1.0.zip 157778 RMD160 42785a3cc240c8b960a1d2844cb49c5195aab860 SHA1 f9b22b6346086e32b5dd50bee42781e87911861d SHA256 ce34c107286b0fd4bf483a3f6675aeadb8c9307710964f1a5f9a3cf8a4f00ba5
DIST WiRouterKeyRec-1.1.1.zip 157983 RMD160 79ea0054dcce1a728575e21ea2e13f5df4f3e394 SHA1 bcb1ac55878aa6cc5766197cd03d5702d775e438 SHA256 2b1f2d4817c59c809ed37c2b82dd8f2c822841fb2d6582d139b6816a785b8af7
DIST WiRouterKeyRec-1.1.1.zip 117009 RMD160 d20d77c65b315039545a80c0856f3abb5cf67393 SHA1 14221995fe1bf75150574c54f5b6852baca29be1 SHA256 bce27453f02c02f20bdac7ce6ba31415511eea8cd3c25e718070c3103dde359b

@ -1,2 +1,3 @@
DIST kstart-3.16.tar.gz 256268 RMD160 49a529f7932dd9de6c2bdc516afe35b174e136f0 SHA1 cd04209b260cad72b0798f7dade2fe94a6fd6eda SHA256 281c33a7c6533c2a00483176a730178f228b1ae7219461ac30df2c6712d612df
DIST kstart-4.0.tar.gz 266399 RMD160 71269792864354c13f5dcdd3c09a32e8c91df020 SHA1 380e8116faaf08390b08a96680a7616df5a7e579 SHA256 9d53ccd4c5d907ff90c19d603c92fc59b836df4c32ac53be4e91a2ded5da7a51
DIST kstart-4.1.tar.gz 269215 RMD160 6cfb50a9155e00eebea04f0cb0051a7a08027f2f SHA1 09d0a5186d68f6f7d59340d40a79f27b5489d891 SHA256 ad1a71be149d56473319bf3b9bca83a60caa3af463d52c134e8f187103700224

@ -0,0 +1,34 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/kstart/kstart-4.1.ebuild,v 1.1 2012/01/08 08:25:27 eras Exp $
EAPI=4
inherit eutils
DESCRIPTION="Modified versions of kinit for refreshing kerberos tickets
automatically"
HOMEPAGE="http://www.eyrie.org/~eagle/software/kstart"
SRC_URI="http://archives.eyrie.org/software/kerberos/${P}.tar.gz"
LICENSE="|| ( MIT Stanford ISC )"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="afs"
DEPEND="virtual/krb5
afs? ( net-fs/openafs )"
RDEPEND="$DEPEND"
src_configure() {
econf \
--enable-reduced-depends \
"$(use_with afs)" \
"$(use_enable afs setpag)"
}
src_install() {
emake DESTDIR="${D}" install
doman k5start.1 krenew.1
dodoc README NEWS TODO examples/*
}

@ -1,2 +1,3 @@
DIST yasat-400.tar.gz 89667 RMD160 c361ca444529b633ee567bff12883a22b6b057eb SHA1 539821ba26f7feac83da7187b334070434c21b08 SHA256 89d3b5b68f0c872e0817d77b01736279f606d31a64c2674af319c866b2d3e6b8
DIST yasat-421.tar.gz 112834 RMD160 e6efcbeccd7b610814dbf1a01bb605f4a15aa304 SHA1 75f8fcbe205c2e3a2ae970b5df67451f2770e14d SHA256 3db884855051c8ff1489c3a21dee65495e4dd298ae2e9dde9a8e09ab6bf3e166
DIST yasat-456.tar.gz 116257 RMD160 4f108007370df58f52da5f17ca033ce7fe0a74bc SHA1 c49b6f31baf69a5f2a95e3dc76c02e371c3d1f55 SHA256 bc6c598693b9bbebd30d3d4dcf54d94b5e519af524296bffa7c6965f1f843c68

@ -0,0 +1,19 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/yasat/yasat-456.ebuild,v 1.1 2012/01/08 13:53:51 hwoarang Exp $
DESCRIPTION="Security and system auditing tool"
HOMEPAGE="http://yasat.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~sparc ~x86"
IUSE=""
S=${WORKDIR}/${PN}
src_install() {
emake install DESTDIR="${D}" PREFIX="/usr" SYSCONFDIR="/etc" || die
dodoc README CHANGELOG || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/gcstar/gcstar-1.6.2.ebuild,v 1.1 2011/11/20 06:51:05 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/gcstar/gcstar-1.6.2.ebuild,v 1.2 2012/01/07 12:20:23 ago Exp $
EAPI="4"
@ -12,7 +12,7 @@ SRC_URI="http://download.gna.org/gcstar/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="cddb gnome mp3 spell stats tellico vorbis"
RDEPEND="dev-lang/perl

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/ktoblzcheck/ktoblzcheck-1.33.ebuild,v 1.2 2012/01/06 08:45:18 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/ktoblzcheck/ktoblzcheck-1.33.ebuild,v 1.3 2012/01/08 01:06:16 hwoarang Exp $
EAPI=4
PYTHON_DEPEND="python? 2:2.6"
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="python"
RDEPEND="app-text/recode

@ -1,2 +1,2 @@
DIST calligra-2.3.84.tar.bz2 103848582 RMD160 7dc52e44ac2bb6a2cb838e7d188a55458718a0a9 SHA1 0af76057c1eca55fff2541be3d0c47b911a1063f SHA256 eb916fcaec549175b6e01b122dba576e61515348a483bbf97bb1149967d4f090
DIST calligra-2.3.85.tar.bz2 103240902 RMD160 92ff5ee2969e106969ca86d35b3c6761224f10c1 SHA1 d7d5101a693d80cf641ae64a0aeca8806c33ee1d SHA256 ab84169cf07298b56825d495c86339e4457dc89741ffd6af9bbf7a0963802ac3
DIST calligra-2.3.86.tar.bz2 123497239 RMD160 1d9049da3491b2567fa3686d84ac580825bffc25 SHA1 719c7ed8293d27576ef178af621af89cddc5fab5 SHA256 3e8471e36ac492e00e80d65ad38446ce7c40eb03eece7b91adc492f3cdb78440

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/calligra/calligra-2.3.84.ebuild,v 1.1 2011/11/20 17:54:57 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/calligra/calligra-2.3.86.ebuild,v 1.1 2012/01/07 23:38:31 dilfridge Exp $
# note: files that need to be checked for dependencies etc:
# CMakeLists.txt, kexi/CMakeLists.txt kexi/migration/CMakeLists.txt
@ -12,8 +12,7 @@ KDE_SCM=git
KDE_MINIMAL=4.6.4
OPENGL_REQUIRED=optional
# KDE_HANDBOOK=optional
# no handbook in 83
KDE_HANDBOOK=optional
KDE_LINGUAS_LIVE_OVERRIDE=true
inherit kde4-base
@ -25,7 +24,7 @@ HOMEPAGE="http://www.calligra-suite.org/"
LICENSE="GPL-2"
SLOT="4"
[[ ${PV} == 9999 ]] || KEYWORDS="~amd64 ~x86"
IUSE="+crypt +eigen +exif fftw +fontconfig freetds +gif glew +glib +gsf
IUSE="attica +crypt +eigen +exif fftw +fontconfig freetds +gif glew +glib +gsf
gsl +iconv +jpeg jpeg2k +kdcraw kdepim +lcms marble mysql +mso +okular openctl openexr
+pdf postgres +semantic-desktop +ssl sybase test tiff +threads +truetype
+wmf word-perfect xbase +xml +xslt"
@ -56,13 +55,13 @@ RDEPEND="
!app-office/kpresenter
!app-office/kspread
!app-office/kword
>=dev-db/sqlite-3.7.9:3
dev-lang/perl
dev-libs/boost
dev-libs/libxml2
$(add_kdebase_dep knewstuff)
media-libs/libpng
sys-libs/zlib
attica? ( dev-libs/libattica )
crypt? ( app-crypt/qca:2 )
eigen? ( dev-cpp/eigen:2 )
exif? ( media-gfx/exiv2 )
@ -105,7 +104,10 @@ RDEPEND="
)
xbase? ( dev-db/xbase )
xslt? ( dev-libs/libxslt )
calligra_features_kexi? ( >=dev-db/sqlite-3.7.3 )
calligra_features_kexi? (
>=dev-db/sqlite-3.7.9:3[extensions]
dev-libs/icu
)
"
DEPEND="${RDEPEND}"
@ -121,13 +123,13 @@ src_configure() {
"-DGHNS=ON"
"-DWITH_X11=ON"
"-DWITH_Qt4=ON"
"-DQT3SUPPORT=ON" # kde4-base.eclass pulls this in anyway
)
# default disablers
mycmakeargs+=(
"-DBUILD_mobile=OFF" # we dont suppor mobile gui, maybe arm could
"-DWITH_LCMS=OFF" # we use lcms:2
"-DWITH_XBase=OFF" # i am not the one to support this
"-DCREATIVEONLY=OFF"
"-DWITH_TINY=OFF"
"-DWITH_CreateResources=OFF" # NOT PACKAGED: http://create.freedesktop.org/
@ -137,6 +139,7 @@ src_configure() {
# regular options
mycmakeargs+=(
$(cmake-utils_use_with attica LibAttica)
$(cmake-utils_use_with crypt QCA2)
$(cmake-utils_use_with eigen Eigen2)
$(cmake-utils_use_with exif Exiv2)

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/calligra/calligra-9999.ebuild,v 1.5 2011/12/10 14:46:39 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/calligra/calligra-9999.ebuild,v 1.6 2012/01/07 23:38:31 dilfridge Exp $
# note: files that need to be checked for dependencies etc:
# CMakeLists.txt, kexi/CMakeLists.txt kexi/migration/CMakeLists.txt
@ -24,7 +24,7 @@ HOMEPAGE="http://www.calligra-suite.org/"
LICENSE="GPL-2"
SLOT="4"
[[ ${PV} == 9999 ]] || KEYWORDS="~amd64 ~x86"
IUSE="+crypt +eigen +exif fftw +fontconfig freetds +gif glew +glib +gsf
IUSE="attica +crypt +eigen +exif fftw +fontconfig freetds +gif glew +glib +gsf
gsl +iconv +jpeg jpeg2k +kdcraw kdepim +lcms marble mysql +mso +okular openctl openexr
+pdf postgres +semantic-desktop +ssl sybase test tiff +threads +truetype
+wmf word-perfect xbase +xml +xslt"
@ -55,13 +55,13 @@ RDEPEND="
!app-office/kpresenter
!app-office/kspread
!app-office/kword
>=dev-db/sqlite-3.7.9:3
dev-lang/perl
dev-libs/boost
dev-libs/libxml2
$(add_kdebase_dep knewstuff)
media-libs/libpng
sys-libs/zlib
attica? ( dev-libs/libattica )
crypt? ( app-crypt/qca:2 )
eigen? ( dev-cpp/eigen:2 )
exif? ( media-gfx/exiv2 )
@ -104,7 +104,10 @@ RDEPEND="
)
xbase? ( dev-db/xbase )
xslt? ( dev-libs/libxslt )
calligra_features_kexi? ( >=dev-db/sqlite-3.7.3 )
calligra_features_kexi? (
>=dev-db/sqlite-3.7.9:3[extensions]
dev-libs/icu
)
"
DEPEND="${RDEPEND}"
@ -136,6 +139,7 @@ src_configure() {
# regular options
mycmakeargs+=(
$(cmake-utils_use_with attica LibAttica)
$(cmake-utils_use_with crypt QCA2)
$(cmake-utils_use_with eigen Eigen2)
$(cmake-utils_use_with exif Exiv2)

@ -7,6 +7,7 @@
<herd>kde</herd>
<herd>openoffice</herd>
<use>
<flag name="attica">Get hot stuff with <pkg>dev-libs/libattica</pkg></flag>
<flag name="eigen">Enable <pkg>dev-cpp/eigen</pkg> mathematical templates support</flag>
<flag name="glew">Enable <pkg>media-libs/glew</pkg> opengl extension library support</flag>
<flag name="glib">Enable support for C library routines from <pkg>dev-libs/glib</pkg></flag>

@ -0,0 +1,35 @@
From 0d7e2108425da1f81c20a605145679168486df59 Mon Sep 17 00:00:00 2001
From: Luboš Luňák <l.lunak@suse.cz>
Date: Fri, 06 Jan 2012 09:55:03 +0000
Subject: workaround for LO namespace pollution breaking KDE4 fpicker build
---
diff --git a/fpicker/source/unx/kde4/KDE4FilePicker.cxx b/fpicker/source/unx/kde4/KDE4FilePicker.cxx
index f282645..69be3b1 100644
--- a/fpicker/source/unx/kde4/KDE4FilePicker.cxx
+++ b/fpicker/source/unx/kde4/KDE4FilePicker.cxx
@@ -56,7 +56,10 @@
#define Region QtXRegion
//kde has an enum that uses this...OO does too
+#define LO_SETTINGS_MOUSE SETTINGS_MOUSE
#undef SETTINGS_MOUSE
+#define LO_SETTINGS_LOCALE SETTINGS_LOCALE
+#undef SETTINGS_LOCALE
#include <kfiledialog.h>
#include <kwindowsystem.h>
@@ -70,6 +73,11 @@
#undef Region
+#define SETTINGS_MOUSE LO_SETTINGS_MOUSE
+#undef LO_SETTINGS_MOUSE
+#define SETTINGS_LOCALE LO_SETTINGS_LOCALE
+#undef LO_SETTINGS_LOCALE
+
using namespace ::com::sun::star;
using namespace ::com::sun::star::ui::dialogs;
--
cgit v0.9.0.2-2-gbebe

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.5.2.ebuild,v 1.1 2012/01/03 21:04:24 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.5.2.ebuild,v 1.2 2012/01/08 14:25:01 dilfridge Exp $
EAPI=4
@ -190,6 +190,7 @@ PATCHES=(
"${FILESDIR}/${PN}-kill-cppunit.patch"
"${FILESDIR}/${PN}-honor-strip.patch"
"${FILESDIR}/${PN}-java.patch"
"${FILESDIR}/${PN}-kde48.patch"
)
REQUIRED_USE="

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.99.2.ebuild,v 1.1 2011/12/22 10:52:53 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.99.2.ebuild,v 1.2 2012/01/08 14:25:01 dilfridge Exp $
EAPI=4
@ -188,6 +188,7 @@ DEPEND="${COMMON_DEPEND}
"
PATCHES=(
"${FILESDIR}/libreoffice-kde48.patch"
)
REQUIRED_USE="

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/esearch/esearch-1.0-r2.ebuild,v 1.1 2011/12/19 20:51:38 fuzzyray Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/esearch/esearch-1.0-r2.ebuild,v 1.2 2012/01/07 11:28:21 ago Exp $
EAPI="3"
SUPPORT_PYTHON_ABIS="1"
@ -18,7 +18,7 @@ LICENSE="GPL-2"
SLOT="0"
IUSE="linguas_fr linguas_it"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris"
DEPEND="sys-apps/portage"
RDEPEND="${DEPEND}"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/tbb/tbb-4.0.278.ebuild,v 1.1 2011/12/20 06:54:47 bicatali Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/tbb/tbb-4.0.278.ebuild,v 1.2 2012/01/07 20:47:39 bicatali Exp $
EAPI=4
inherit eutils versionator toolchain-funcs
@ -50,6 +50,7 @@ src_prepare() {
-e 's/^\t\$(shell \(.*\) >\$(NUL) 2>\$(NUL))\s*/\t\1/' \
-e 's!^\t@echo Created \$(work_dir)_\(debug\|release\).*$!&\n\t$(MAKE) -C "$(work_dir)_\1" -r -f $(tbb_root)/build/Makefile.tbb cfg=\1 tbb_root=$(tbb_root) version_string.tmp!' \
src/Makefile || die
find include -name \*.html -delete
}
src_compile() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r2.ebuild,v 1.1 2011/01/15 17:54:31 robbat2 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r2.ebuild,v 1.2 2012/01/07 18:14:26 ago Exp $
DESCRIPTION="Gentoo MySQL init scripts."
HOMEPAGE="http://www.gentoo.org/"
@ -8,7 +8,7 @@ SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""

@ -1 +1,2 @@
DIST polyml.5.2.1.tar.gz 4114551 RMD160 2e46e3fca7e642faed72c427c41e25e2b03fdbf5 SHA1 39cc9451113d41ca9c491167cf3973dfd55b7446 SHA256 c84148ae9a28e782f48208bcb8c5b82ee7bfdc178784fe81694cf1f0789ae62e
DIST polyml.5.4.1.tar.gz 6107319 RMD160 7f3916f306f1fa24afb5b7cbb77bac98c9e4ab24 SHA1 85998ff7b290fae821a23fa5303b012ccea07ea1 SHA256 514d1d07be487b783d4dfa29dbd550b3396640579ce135a9eb5a61f08e7f9cac

@ -0,0 +1,28 @@
--- polyml.5.4.1-orig/libpolyml/x86asm.asm 2011-07-13 00:06:49.000000000 +1000
+++ polyml.5.4.1/libpolyml/x86asm.asm 2012-01-08 16:00:09.740684843 +1100
@@ -2714,4 +2714,7 @@
ENDIF
+#if defined(__linux__) && defined(__ELF__)
+.section .note.GNU-stack,"",%progbits
+#endif
END
--- polyml.5.4.1-orig/libpolyml/power_assembly.S 2010-04-09 01:49:20.000000000 +1000
+++ polyml.5.4.1/libpolyml/power_assembly.S 2012-01-08 15:46:35.006200143 +1100
@@ -1735,3 +1735,6 @@
dd Mask_assign_byte /* 254 */
dd Mask_assign_word /* 255 */
+#if defined(__linux__) && defined(__ELF__)
+.section .note.GNU-stack,"",%progbits
+#endif
--- polyml.5.4.1-orig/libpolyml/sparc_assembly.S 2010-08-13 01:01:36.000000000 +1000
+++ polyml.5.4.1/libpolyml/sparc_assembly.S 2012-01-08 15:46:12.516642791 +1100
@@ -1498,3 +1498,6 @@
.long Mask_assign_byte /* 254 */
.long Mask_assign_word /* 255 */
+#if defined(__linux__) && defined(__ELF__)
+.section .note.GNU-stack,"",%progbits
+#endif

@ -2,4 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>ml</herd>
<longdescription lang='en'>
Poly/ML is a full implementation of Standard ML available as open-source.
</longdescription>
<use>
<flag name='portable'>Build the portable interpreter version of Poly/ML
instead of native.</flag>
</use>
</pkgmetadata>

@ -0,0 +1,42 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/polyml/polyml-5.4.1.ebuild,v 1.1 2012/01/08 10:24:08 gienah Exp $
EAPI="4"
inherit base
MY_P=${PN}.${PV}
DESCRIPTION="Poly/ML is a full implementation of Standard ML"
HOMEPAGE="http://www.polyml.org"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="X +gmp -portable +threads"
RDEPEND="X? ( x11-libs/openmotif )
gmp? ( >=dev-libs/gmp-5 )
threads? ( >=sys-libs/glibc-2.13 )"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}
PATCHES=("${FILESDIR}/${PN}-5.4.1-asm.patch")
src_configure() {
econf $(use_with X x)
econf $(use_with gmp)
econf $(use_with portable)
econf $(use_with threads)
}
src_compile() {
emake
}
src_install() {
emake DESTDIR="${D}" install
}

@ -10,3 +10,4 @@ DIST boost_1_42_0.tar.bz2 33426755 RMD160 90cea6aaa35f22b97e6eb3f5879ca9fe210983
DIST boost_1_45_0.tar.bz2 39330184 RMD160 1402cb49e0d680268109ef1bf16aea9bc4a127b0 SHA1 eb7424ef99df4e38af7431e38ff9849651b8aaf5 SHA256 55ed3ec51d5687e8224c988e22bef215dacce04e037d9f689569a80c4377a6d5
DIST boost_1_46_1.tar.bz2 42001335 RMD160 bb43b39f7c4b683b80bafa3042b95e65a242d9c3 SHA1 3ca6e173ec805e5126868d8a03618e587aa26aef SHA256 e1dfbf42b16e5015c46b98e9899c423ca4d04469cbeee05e43ea19236416d883
DIST boost_1_47_0.tar.bz2 45952657 RMD160 511144eb5ade340115971c372a3c849bd55181f1 SHA1 6e3eb548b9d955c0bc6f71c51042b713b678136a SHA256 815a5d9faac4dbd523fbcf3fe1065e443c0bbf43427c44aa423422c6ec4c2e31
DIST boost_1_48_0.tar.bz2 48236989 RMD160 e006121ae5cac37aa419ac5bbf59e090e6ca7f70 SHA1 27aced5086e96c6f7b2b684bda2bd515e115da35 SHA256 1bf254b2d69393ccd57a3cdd30a2f80318a005de8883a0792ed2f5e2598e5ada

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.45.0.ebuild,v 1.7 2011/07/15 16:27:59 mattst88 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.45.0.ebuild,v 1.8 2012/01/08 11:42:28 hwoarang Exp $
EAPI="2"
@ -59,7 +59,7 @@ pkg_setup() {
fi
if use test ; then
CHECKREQS_DISK_BUILD="15360"
CHECKREQS_DISK_BUILD="15G"
check_reqs
ewarn "The tests may take several hours on a recent machine"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.46.1-r1.ebuild,v 1.6 2011/12/28 19:23:01 halcy0n Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.46.1-r1.ebuild,v 1.7 2012/01/08 11:42:28 hwoarang Exp $
EAPI="2"
@ -59,7 +59,7 @@ pkg_setup() {
fi
if use test ; then
CHECKREQS_DISK_BUILD="15360"
CHECKREQS_DISK_BUILD="15G"
check_reqs
ewarn "The tests may take several hours on a recent machine"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.47.0-r1.ebuild,v 1.1 2011/10/10 19:29:24 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.47.0-r1.ebuild,v 1.2 2012/01/08 11:42:28 hwoarang Exp $
EAPI="2"
@ -59,7 +59,7 @@ pkg_setup() {
fi
if use test ; then
CHECKREQS_DISK_BUILD="15360"
CHECKREQS_DISK_BUILD="15G"
check_reqs
ewarn "The tests may take several hours on a recent machine"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.47.0.ebuild,v 1.2 2011/10/08 17:01:19 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.47.0.ebuild,v 1.3 2012/01/08 11:42:28 hwoarang Exp $
EAPI="2"
@ -59,7 +59,7 @@ pkg_setup() {
fi
if use test ; then
CHECKREQS_DISK_BUILD="15360"
CHECKREQS_DISK_BUILD="15G"
check_reqs
ewarn "The tests may take several hours on a recent machine"

@ -0,0 +1,486 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.48.0.ebuild,v 1.2 2012/01/08 11:42:28 hwoarang Exp $
EAPI="2"
inherit python flag-o-matic multilib toolchain-funcs versionator check-reqs
MY_P=${PN}_$(replace_all_version_separators _)
DESCRIPTION="Boost Libraries for C++"
HOMEPAGE="http://www.boost.org/"
SRC_URI="mirror://sourceforge/boost/${MY_P}.tar.bz2"
LICENSE="Boost-1.0"
SLOT="$(get_version_component_range 1-2)"
IUSE="debug doc +eselect icu mpi python static-libs test tools"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
RDEPEND="icu? ( >=dev-libs/icu-3.3 )
mpi? ( || ( sys-cluster/openmpi[cxx] sys-cluster/mpich2[cxx,threads] ) )
sys-libs/zlib
python? ( dev-lang/python )
!!<=dev-libs/boost-1.35.0-r2
>=app-admin/eselect-boost-0.3"
DEPEND="${RDEPEND}
dev-util/boost-build:${SLOT}"
S=${WORKDIR}/${MY_P}
MAJOR_PV=$(replace_all_version_separators _ ${SLOT})
BJAM="b2-${MAJOR_PV}"
# Usage:
# _add_line <line-to-add> <profile>
# ... to add to specific profile
# or
# _add_line <line-to-add>
# ... to add to all profiles for which the use flag set
_add_line() {
if [ -z "$2" ] ; then
echo "${1}" >> "${D}/usr/share/boost-eselect/profiles/${SLOT}/default"
use debug && echo "${1}" >> "${D}/usr/share/boost-eselect/profiles/${SLOT}/debug"
else
echo "${1}" >> "${D}/usr/share/boost-eselect/profiles/${SLOT}/${2}"
fi
}
pkg_setup() {
# It doesn't compile with USE="python mpi" and python-3 (bug 295705)
if use python && use mpi ; then
if [[ "$(python_get_version --major)" != "2" ]]; then
eerror "The Boost.MPI python bindings do not support any other python version"
eerror "than 2.x. Please either use eselect to select a python 2.x version or"
eerror "disable the python and/or mpi use flag for =${CATEGORY}/${PF}."
die "unsupported python version"
fi
fi
if use test ; then
CHECKREQS_DISK_BUILD="15G"
check_reqs
ewarn "The tests may take several hours on a recent machine"
ewarn "but they will not fail (unless something weird happens ;-)"
ewarn "This is because the tests depend on the used compiler/-version"
ewarn "and the platform and upstream says that this is normal."
ewarn "If you are interested in the results, please take a look at the"
ewarn "generated results page:"
ewarn " ${ROOT}usr/share/doc/${PF}/status/cs-$(uname).html"
ebeep 5
fi
if use debug ; then
ewarn "The debug USE-flag means that a second set of the boost libraries"
ewarn "will be built containing debug-symbols. You'll be able to select them"
ewarn "using the boost-eselect module. But even though the optimization flags"
ewarn "you might have set are not stripped, there will be a performance"
ewarn "penalty and linking other packages against the debug version"
ewarn "of boost is _not_ recommended."
fi
}
src_prepare() {
epatch "${FILESDIR}/remove-toolset-${PV}.patch"
# This enables building the boost.random library with /dev/urandom support
if [[ -e /dev/urandom ]] ; then
mkdir -p libs/random/build || die
cp "${FILESDIR}/random-Jamfile-${PV}" libs/random/build/Jamfile.v2 || die
fi
}
src_configure() {
einfo "Writing new user-config.jam"
local compiler compilerVersion compilerExecutable mpi
if [[ ${CHOST} == *-darwin* ]] ; then
compiler=darwin
compilerVersion=$(gcc-fullversion)
compilerExecutable=$(tc-getCXX)
# we need to add the prefix, and in two cases this exceeds, so prepare
# for the largest possible space allocation
append-ldflags -Wl,-headerpad_max_install_names
else
compiler=gcc
compilerVersion=$(gcc-version)
compilerExecutable=$(tc-getCXX)
fi
# Using -fno-strict-aliasing to prevent possible creation of invalid code.
append-flags -fno-strict-aliasing
# bug 298489
if use ppc || use ppc64 ; then
[[ $(gcc-version) > 4.3 ]] && append-flags -mno-altivec
fi;
use mpi && mpi="using mpi ;"
if use python ; then
pystring="using python : $(python_get_version) : /usr : $(python_get_includedir) : $(python_get_libdir) ;"
fi
cat > "${S}/user-config.jam" << __EOF__
variant gentoorelease : release : <optimization>none <debug-symbols>none ;
variant gentoodebug : debug : <optimization>none ;
using ${compiler} : ${compilerVersion} : ${compilerExecutable} : <cxxflags>"${CXXFLAGS}" <linkflags>"${LDFLAGS}" ;
${pystring}
${mpi}
__EOF__
# Maintainer information:
# The debug-symbols=none and optimization=none
# are not official upstream flags but a Gentoo
# specific patch to make sure that all our
# CXXFLAGS/LDFLAGS are being respected.
# Using optimization=off would for example add
# "-O0" and override "-O2" set by the user.
# Please take a look at the boost-build ebuild
# for more infomration.
use icu && OPTIONS="-sICU_PATH=/usr"
use icu || OPTIONS="--disable-icu"
use mpi || OPTIONS="${OPTIONS} --without-mpi"
use python || OPTIONS="${OPTIONS} --without-python"
# https://svn.boost.org/trac/boost/attachment/ticket/2597/add-disable-long-double.patch
if use sparc || { use mips && [[ ${ABI} = "o32" ]]; } || use hppa || use arm || use x86-fbsd || use sh; then
OPTIONS="${OPTIONS} --disable-long-double"
fi
OPTIONS="${OPTIONS} pch=off --user-config=\"${S}/user-config.jam\" --boost-build=/usr/share/boost-build-${MAJOR_PV} --prefix=\"${D}/usr\" --layout=versioned"
if use static-libs ; then
LINK_OPTS="link=shared,static"
LIBRARY_TARGETS="*.a *$(get_libname)"
else
LINK_OPTS="link=shared"
#there is no dynamicly linked version of libboost_test_exec_monitor and libboost_exception
LIBRARY_TARGETS="libboost_test_exec_monitor*.a libboost_exception*.a *$(get_libname)"
fi
}
src_compile() {
jobs=$( echo " ${MAKEOPTS} " | \
sed -e 's/ --jobs[= ]/ -j /g' \
-e 's/ -j \([1-9][0-9]*\)/ -j\1/g' \
-e 's/ -j\>/ -j1/g' | \
( while read -d ' ' j ; do if [[ "${j#-j}" = "$j" ]]; then continue; fi; jobs="${j#-j}"; done; echo ${jobs} ) )
if [[ "${jobs}" != "" ]]; then NUMJOBS="-j"${jobs}; fi;
export BOOST_ROOT="${S}"
einfo "Using the following command to build: "
einfo "${BJAM} ${NUMJOBS} -q -d+2 gentoorelease ${OPTIONS} threading=single,multi ${LINK_OPTS} runtime-link=shared"
${BJAM} ${NUMJOBS} -q -d+2 \
gentoorelease \
${OPTIONS} \
threading=single,multi ${LINK_OPTS} runtime-link=shared \
|| die "building boost failed"
# ... and do the whole thing one more time to get the debug libs
if use debug ; then
einfo "Using the following command to build: "
einfo "${BJAM} ${NUMJOBS} -q -d+2 gentoodebug ${OPTIONS} threading=single,multi ${LINK_OPTS} runtime-link=shared --buildid=debug"
${BJAM} ${NUMJOBS} -q -d+2 \
gentoodebug \
${OPTIONS} \
threading=single,multi ${LINK_OPTS} runtime-link=shared \
--buildid=debug \
|| die "building boost failed"
fi
if use tools; then
cd "${S}/tools/"
einfo "Using the following command to build the tools: "
einfo "${BJAM} ${NUMJOBS} -q -d+2 gentoorelease ${OPTIONS}"
${BJAM} ${NUMJOBS} -q -d+2\
gentoorelease \
${OPTIONS} \
|| die "building tools failed"
fi
}
src_install () {
export BOOST_ROOT="${S}"
einfo "Using the following command to install: "
einfo "${BJAM} -q -d+2 gentoorelease ${OPTIONS} threading=single,multi ${LINK_OPTS} runtime-link=shared --includedir=\"${D}/usr/include\" --libdir=\"${D}/usr/$(get_libdir)\" install"
${BJAM} -q -d+2 \
gentoorelease \
${OPTIONS} \
threading=single,multi ${LINK_OPTS} runtime-link=shared \
--includedir="${D}/usr/include" \
--libdir="${D}/usr/$(get_libdir)" \
install || die "install failed for options '${OPTIONS}'"
if use debug ; then
einfo "Using the following command to install: "
einfo "${BJAM} -q -d+2 gentoodebug ${OPTIONS} threading=single,multi ${LINK_OPTS} runtime-link=shared --includedir=\"${D}/usr/include\" --libdir=\"${D}/usr/$(get_libdir)\" --buildid=debug"
${BJAM} -q -d+2 \
gentoodebug \
${OPTIONS} \
threading=single,multi ${LINK_OPTS} runtime-link=shared \
--includedir="${D}/usr/include" \
--libdir="${D}/usr/$(get_libdir)" \
--buildid=debug \
install || die "install failed for options '${OPTIONS}'"
fi
use python || rm -rf "${D}/usr/include/boost-${MAJOR_PV}/boost"/python* || die
dodir /usr/share/boost-eselect/profiles/${SLOT} || die
touch "${D}/usr/share/boost-eselect/profiles/${SLOT}/default" || die
if use debug ; then
touch "${D}/usr/share/boost-eselect/profiles/${SLOT}/debug" || die
fi
# Move the mpi.so to the right place and make sure it's slotted
if use mpi && use python; then
mkdir -p "${D}$(python_get_sitedir)/boost_${MAJOR_PV}" || die
mv "${D}/usr/$(get_libdir)/mpi.so" "${D}$(python_get_sitedir)/boost_${MAJOR_PV}/" || die
touch "${D}$(python_get_sitedir)/boost_${MAJOR_PV}/__init__.py" || die
_add_line "python=\"$(python_get_sitedir)/boost_${MAJOR_PV}/mpi.so\""
fi
if use doc ; then
find libs/*/* -iname "test" -or -iname "src" | xargs rm -rf
dohtml \
-A pdf,txt,cpp,hpp \
*.{htm,html,png,css} \
-r doc || die
dohtml \
-A pdf,txt \
-r tools || die
insinto /usr/share/doc/${PF}/html
doins -r libs || die
doins -r more || die
# To avoid broken links
insinto /usr/share/doc/${PF}/html
doins LICENSE_1_0.txt || die
dosym /usr/include/boost-${MAJOR_PV}/boost /usr/share/doc/${PF}/html/boost || die
fi
cd "${D}/usr/$(get_libdir)" || die
# Remove (unversioned) symlinks
# And check for what we remove to catch bugs
# got a better idea how to do it? tell me!
for f in $(ls -1 ${LIBRARY_TARGETS} | grep -v "${MAJOR_PV}") ; do
if [ ! -h "${f}" ] ; then
eerror "Ups, tried to remove '${f}' which is a a real file instead of a symlink"
die "slotting/naming of the libs broken!"
fi
rm "${f}" || die
done
# The threading libs obviously always gets the "-mt" (multithreading) tag
# some packages seem to have a problem with it. Creating symlinks...
if use static-libs ; then
THREAD_LIBS="libboost_thread-mt-${MAJOR_PV}.a libboost_thread-mt-${MAJOR_PV}$(get_libname)"
else
THREAD_LIBS="libboost_thread-mt-${MAJOR_PV}$(get_libname)"
fi
for lib in ${THREAD_LIBS} ; do
dosym ${lib} "/usr/$(get_libdir)/$(sed -e 's/-mt//' <<< ${lib})" || die
done
# The same goes for the mpi libs
if use mpi ; then
if use static-libs ; then
MPI_LIBS="libboost_mpi-mt-${MAJOR_PV}.a libboost_mpi-mt-${MAJOR_PV}$(get_libname)"
else
MPI_LIBS="libboost_mpi-mt-${MAJOR_PV}$(get_libname)"
fi
for lib in ${MPI_LIBS} ; do
dosym ${lib} "/usr/$(get_libdir)/$(sed -e 's/-mt//' <<< ${lib})" || die
done
fi
if use debug ; then
if use static-libs ; then
THREAD_DEBUG_LIBS="libboost_thread-mt-${MAJOR_PV}-debug$(get_libname) libboost_thread-mt-${MAJOR_PV}-debug.a"
else
THREAD_DEBUG_LIBS="libboost_thread-mt-${MAJOR_PV}-debug$(get_libname)"
fi
for lib in ${THREAD_DEBUG_LIBS} ; do
dosym ${lib} "/usr/$(get_libdir)/$(sed -e 's/-mt//' <<< ${lib})" || die
done
if use mpi ; then
if use static-libs ; then
MPI_DEBUG_LIBS="libboost_mpi-mt-${MAJOR_PV}-debug.a libboost_mpi-mt-${MAJOR_PV}-debug$(get_libname)"
else
MPI_DEBUG_LIBS="libboost_mpi-mt-${MAJOR_PV}-debug$(get_libname)"
fi
for lib in ${MPI_DEBUG_LIBS} ; do
dosym ${lib} "/usr/$(get_libdir)/$(sed -e 's/-mt//' <<< ${lib})" || die
done
fi
fi
# Create a subdirectory with completely unversioned symlinks
# and store the names in the profiles-file for eselect
dodir /usr/$(get_libdir)/boost-${MAJOR_PV} || die
_add_line "libs=\"" default
for f in $(ls -1 ${LIBRARY_TARGETS} | grep -v debug) ; do
dosym ../${f} /usr/$(get_libdir)/boost-${MAJOR_PV}/${f/-${MAJOR_PV}} || die
_add_line "/usr/$(get_libdir)/${f}" default
done
_add_line "\"" default
if use debug ; then
_add_line "libs=\"" debug
dodir /usr/$(get_libdir)/boost-${MAJOR_PV}-debug || die
for f in $(ls -1 ${LIBRARY_TARGETS} | grep debug) ; do
dosym ../${f} /usr/$(get_libdir)/boost-${MAJOR_PV}-debug/${f/-${MAJOR_PV}-debug} || die
_add_line "/usr/$(get_libdir)/${f}" debug
done
_add_line "\"" debug
_add_line "includes=\"/usr/include/boost-${MAJOR_PV}/boost\"" debug
_add_line "suffix=\"-debug\"" debug
fi
_add_line "includes=\"/usr/include/boost-${MAJOR_PV}/boost\"" default
if use tools; then
cd "${S}/dist/bin" || die
# Append version postfix to binaries for slotting
_add_line "bins=\""
for b in * ; do
newbin "${b}" "${b}-${MAJOR_PV}" || die
_add_line "/usr/bin/${b}-${MAJOR_PV}"
done
_add_line "\""
cd "${S}/dist" || die
insinto /usr/share || die
doins -r share/boostbook || die
# Append version postfix for slotting
mv "${D}/usr/share/boostbook" "${D}/usr/share/boostbook-${MAJOR_PV}" || die
_add_line "dirs=\"/usr/share/boostbook-${MAJOR_PV}\""
fi
cd "${S}/status" || die
if [ -f regress.log ] ; then
docinto status || die
dohtml *.html ../boost.png || die
dodoc regress.log || die
fi
use python && python_need_rebuild
# boost's build system truely sucks for not having a destdir. Because for
# this reason we are forced to build with a prefix that includes the
# DESTROOT, dynamic libraries on Darwin end messed up, referencing the
# DESTROOT instread of the actual EPREFIX. There is no way out of here
# but to do it the dirty way of manually setting the right install_names.
[[ -z ${ED+set} ]] && local ED=${D%/}${EPREFIX}/
if [[ ${CHOST} == *-darwin* ]] ; then
einfo "Working around completely broken build-system(tm)"
for d in "${ED}"usr/lib/*.dylib ; do
if [[ -f ${d} ]] ; then
# fix the "soname"
ebegin " correcting install_name of ${d#${ED}}"
install_name_tool -id "/${d#${D}}" "${d}"
eend $?
# fix references to other libs
refs=$(otool -XL "${d}" | \
sed -e '1d' -e 's/^\t//' | \
grep "^libboost_" | \
cut -f1 -d' ')
for r in ${refs} ; do
ebegin " correcting reference to ${r}"
install_name_tool -change \
"${r}" \
"${EPREFIX}/usr/lib/${r}" \
"${d}"
eend $?
done
fi
done
fi
}
src_test() {
export BOOST_ROOT=${S}
cd "${S}/tools/regression/build" || die
einfo "Using the following command to build test helpers: "
einfo "${BJAM} -q -d+2 gentoorelease ${OPTIONS} process_jam_log compiler_status"
${BJAM} -q -d+2 \
gentoorelease \
${OPTIONS} \
process_jam_log compiler_status \
|| die "building regression test helpers failed"
cd "${S}/status" || die
# Some of the test-checks seem to rely on regexps
export LC_ALL="C"
# The following is largely taken from tools/regression/run_tests.sh,
# but adapted to our needs.
# Run the tests & write them into a file for postprocessing
einfo "Using the following command to test: "
einfo "${BJAM} ${OPTIONS} --dump-tests"
${BJAM} \
${OPTIONS} \
--dump-tests 2>&1 | tee regress.log || die
# Postprocessing
cat regress.log | "${S}/tools/regression/build/bin/gcc-$(gcc-version)/gentoorelease/pch-off/process_jam_log" --v2
if test $? != 0 ; then
die "Postprocessing the build log failed"
fi
cat > "${S}/status/comment.html" <<- __EOF__
<p>Tests are run on a <a href="http://www.gentoo.org">Gentoo</a> system.</p>
__EOF__
# Generate the build log html summary page
"${S}/tools/regression/build/bin/gcc-$(gcc-version)/gentoorelease/pch-off/compiler_status" --v2 \
--comment "${S}/status/comment.html" "${S}" \
cs-$(uname).html cs-$(uname)-links.html
if test $? != 0 ; then
die "Generating the build log html summary page failed"
fi
# And do some cosmetic fixes :)
sed -i -e 's|http://www.boost.org/boost.png|boost.png|' *.html || die
}
pkg_postinst() {
if use eselect ; then
eselect boost update || ewarn "eselect boost update failed."
fi
if [ ! -h "${ROOT}/etc/eselect/boost/active" ] ; then
elog "No active boost version found. Calling eselect to select one..."
eselect boost update || ewarn "eselect boost update failed."
fi
}

@ -0,0 +1,15 @@
# Copyright (c) 2006 Tiziano Mueller
#
# Use, modification and distribution of the file is subject to the
# Boost Software License, Version 1.0.
# (See at http://www.boost.org/LICENSE_1_0.txt)
project boost/random
: source-location ../src ;
SOURCES = random_device ;
lib boost_random
: $(SOURCES).cpp
: <link>shared:<define>BOOST_RANDOM_DYN_LINK=1 ;

@ -0,0 +1,11 @@
--- boostcpp.jam 2010-11-17 11:51:56.000000000 +0200
+++ boostcpp.jam.gentoo 2011-01-06 15:07:17.893270002 +0200
@@ -377,7 +377,7 @@
if $(layout) = versioned
{
result = [ common.format-name
- <base> <toolset> <threading> <runtime> -$(BOOST_VERSION_TAG)
+ <base> <threading> <runtime> -$(BOOST_VERSION_TAG)
-$(BUILD_ID)
: $(name) : $(type) : $(property-set) ] ;
}

@ -1,10 +1,10 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/cloog-ppl/cloog-ppl-0.15.10.ebuild,v 1.9 2011/08/20 09:13:54 chithanh Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/cloog-ppl/cloog-ppl-0.15.10.ebuild,v 1.10 2012/01/07 20:21:29 vapier Exp $
EAPI="3"
EAPI="4"
inherit autotools-utils
inherit autotools
DESCRIPTION="Port of CLooG (Chunky LOOp Generator) to PPL (Parma Polyhedra Library)"
HOMEPAGE="http://repo.or.cz/w/cloog-ppl.git"
@ -16,7 +16,7 @@ KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbs
IUSE="static-libs"
RDEPEND="dev-libs/ppl
dev-libs/gmp"
dev-libs/gmp"
DEPEND="${RDEPEND}"
src_prepare() {
@ -25,16 +25,15 @@ src_prepare() {
}
src_configure() {
# set includedir to avoid conflicts w/ dev-libs/cloog
myeconfargs=(
--with-ppl
--includedir="${EPREFIX}"/usr/include/cloog-ppl
)
autotools-utils_src_configure
econf \
--with-ppl \
--includedir="${EPREFIX}"/usr/include/cloog-ppl \
$(use_enable static-libs static)
}
src_install() {
autotools-utils_src_install
mv "${ED}"usr/bin/cloog "${ED}"usr/bin/cloog-ppl || die
mv "${ED}"usr/share/info/cloog.info "${ED}"usr/share/info/cloog-ppl.info || die
default
use static-libs || find "${ED}" -name libcloog.la -delete
mv "${ED}"usr/bin/cloog{,-ppl} || die
mv "${ED}"usr/share/info/cloog{,-ppl}.info || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libevent/libevent-2.0.16.ebuild,v 1.3 2011/12/08 19:05:26 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libevent/libevent-2.0.16.ebuild,v 1.4 2012/01/08 02:00:14 hwoarang Exp $
EAPI="2"
@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/levent/files/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+ssl static-libs test"
DEPEND="ssl? ( dev-libs/openssl )"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libofx/libofx-0.9.4.ebuild,v 1.1 2011/07/24 04:20:32 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libofx/libofx-0.9.4.ebuild,v 1.2 2012/01/07 13:18:13 ago Exp $
EAPI=4
@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="static-libs test"
RDEPEND=">=app-text/opensp-1.5

@ -1,11 +1,11 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libzip/libzip-0.10-r1.ebuild,v 1.4 2012/01/04 22:28:35 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libzip/libzip-0.10-r1.ebuild,v 1.5 2012/01/07 15:34:10 johu Exp $
EAPI=3
MY_P=${P/_}
inherit autotools-utils autotools
inherit autotools-utils
DESCRIPTION="Library for manipulating zip archives"
HOMEPAGE="http://www.nih.at/libzip/"
@ -16,10 +16,8 @@ SLOT="0"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos"
IUSE="static-libs"
DEPEND=""
RDEPEND="${DEPEND}
sys-libs/zlib
"
DEPEND="sys-libs/zlib"
RDEPEND="${DEPEND}"
DOCS=( NEWS README THANKS AUTHORS )
@ -34,7 +32,8 @@ AUTOTOOLS_IN_SOURCE_BUILD=1
src_prepare() {
autotools-utils_src_prepare
eautoreconf # run due to fix_headers patch
# run due to fix_headers patch
AT_NOELIBTOOLIZE=yes eautoreconf
#elibtoolize # FreeBSD .so version
# fix test return state

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lisp/clozurecl/clozurecl-1.7.ebuild,v 1.1 2011/08/04 09:35:20 grozin Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lisp/clozurecl/clozurecl-1.7.ebuild,v 1.2 2012/01/08 12:13:52 grozin Exp $
EAPI=3
inherit eutils
@ -27,10 +27,6 @@ S="${WORKDIR}"/${MY_P}
ENVD="${T}"/50ccl
src_prepare() {
find "${S}" -type d -name .svn -exec rm -rf {} ';' &>/dev/null
}
src_configure() {
if use x86; then
CCL_RUNTIME=lx86cl; CCL_HEADERS=x86-headers
@ -49,6 +45,9 @@ src_compile() {
# remove non-owner write permissions on the full-image
chmod go-w ${CCL_RUNTIME}{,.image}
# remove .svn directories
find "${S}" -type d -name .svn -exec rm -rf {} ';' &>/dev/null
}
src_install() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-FreeDB/Net-FreeDB-0.80.0.ebuild,v 1.1 2011/11/19 09:34:03 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-FreeDB/Net-FreeDB-0.80.0.ebuild,v 1.2 2012/01/07 12:19:36 ago Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="OOP interface to the FreeDB database"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE=""
RDEPEND="

@ -0,0 +1 @@
DIST lp_solve_5.5.2.0_Python_source.tar.gz 58017 RMD160 c3d5b387ed85a222b17f33f1987d25da80182afd SHA1 058cced6b6a27cc160c9c5054c6b94b0eae6d989 SHA256 79683bc262e9da5b2fa7338ba190a9cd10559b9f2dbcb8f3bf07e2a81083ac51

@ -0,0 +1,50 @@
--- setup.py.orig 2012-01-07 20:27:45.072840503 +0000
+++ setup.py 2012-01-07 20:24:22.127570128 +0000
@@ -1,26 +1,25 @@
from distutils.core import setup, Extension
from os import getenv
import sys
-import os
-p = sys.prefix
-NUMPYPATH = '.'
-if os.path.isdir(p + '/include/numpy'):
- NUMPY = 'NUMPY'
-elif os.path.isdir(p + '/Lib/site-packages/numpy/core/include/numpy'):
- NUMPY = 'NUMPY'
- NUMPYPATH = p + '/Lib/site-packages/numpy/core/include'
-else:
+import os, os.path
+
+try:
+ import numpy
+ NUMPY = 'NUMPY'
+ NUMPYPATH = numpy.get_include()
+except:
NUMPY = 'NONUMPY'
-print 'numpy: ' + NUMPY
+ NUMPYPATH = '.'
+
windir = getenv('windir')
if windir == None:
WIN32 = 'NOWIN32'
- LPSOLVE55 = '../../lpsolve55/bin/ux32'
+ LPSOLVEINC = os.path.join(sys.prefix,'include','lpsolve')
else:
WIN32 = 'WIN32'
LPSOLVE55 = '../../lpsolve55/bin/win32'
setup (name = "lpsolve55",
- version = "5.5.0.9",
+ version = "5.5.2.0",
description = "Linear Program Solver, Interface to lpsolve",
author = "Peter Notebaert",
author_email = "lpsolve@peno.be",
@@ -29,8 +28,7 @@
ext_modules = [Extension("lpsolve55",
["lpsolve.c", "hash.c", "pythonmod.c"],
define_macros=[('PYTHON', '1'), (WIN32, '1'), ('NODEBUG', '1'), ('DINLINE', 'static'), (NUMPY, '1'), ('_CRT_SECURE_NO_WARNINGS', '1')],
- include_dirs=['../..', NUMPYPATH],
- library_dirs=[LPSOLVE55],
+ include_dirs=[LPSOLVEINC, NUMPYPATH],
libraries = ["lpsolve55"])
]
)

@ -0,0 +1,46 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/lp_solve/lp_solve-5.5.2.0.ebuild,v 1.1 2012/01/07 20:36:32 bicatali Exp $
EAPI=4
SUPPORT_PYTHON_ABIS=1
RESTRICT_PYTHON_ABIS="2.4 3*"
inherit distutils eutils
DESCRIPTION="Python wrappers for lpsolve"
HOMEPAGE="http://lpsolve.sourceforge.net/5.5/Python.htm"
SRC_URI="mirror://sourceforge/lpsolve/${PN}_${PV}_Python_source.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples"
RDEPEND="dev-python/numpy
sci-mathematics/lpsolve"
DEPEND="${RDEPEND}
dev-python/setuptools"
S="${WORKDIR}/${PN}_5.5/extra/Python/"
src_prepare(){
epatch "${FILESDIR}"/${P}-setup.patch
}
src_test() {
testing() {
PYTHONPATH="$(ls -d build-${PYTHON_ABI}/lib.*)" \
"$(PYTHON)" lpdemo.py
}
python_execute_function testing
}
src_install() {
distutils_src_install
dodoc changes
use doc && dohtml Python.htm
insinto /usr/share/doc/${PF}/examples
use examples && doins ex*py
}

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>sci-mathematics</herd>
<longdescription lang='en'>
Python wrapper modules for the linear programming library lpsolve.
</longdescription>
</pkgmetadata>

@ -0,0 +1 @@
DIST OOSuite-0.37.zip 472085 RMD160 fc3b89cd6b79d5ad43b0e79ed6bdf8e864c4347f SHA1 2661d187921ae80c678ba14ffcf1560f482566fc SHA256 8a98e6039202c1d25f2282053ad6e00a65750804fc8b567cad1e91177d771d85

@ -0,0 +1,72 @@
diff -Nur PythonPackages.orig/FuncDesigner/FuncDesigner/__init__.py PythonPackages/FuncDesigner/FuncDesigner/__init__.py
--- PythonPackages.orig/FuncDesigner/FuncDesigner/__init__.py 2011-12-15 15:43:56.000000000 +0000
+++ PythonPackages/FuncDesigner/FuncDesigner/__init__.py 2012-01-07 16:26:48.000000000 +0000
@@ -15,31 +15,3 @@
from interpolate import scipy_UnivariateSpline as interpolator
from integrate import integrator
__version__ = '0.37'
-
-isE = False
-try:
- import enthought
- isE = True
-except ImportError:
- pass
-try:
- import envisage
- import mayavi
- isE = True
-except ImportError:
- pass
-try:
- import xy
- isE = False
-except ImportError:
- pass
-
-if isE:
- s = """
- Seems like you are using OpenOpt from
- commercial Enthought Python Distribution;
- consider using free GPL-licensed alternatives
- PythonXY (http://www.pythonxy.com) or
- Sage (http://sagemath.org) instead.
- """
- print(s)
diff -Nur PythonPackages.orig/OpenOpt/openopt/__init__.py PythonPackages/OpenOpt/openopt/__init__.py
--- PythonPackages.orig/OpenOpt/openopt/__init__.py 2011-10-23 19:17:28.000000000 +0100
+++ PythonPackages/OpenOpt/openopt/__init__.py 2012-01-07 16:26:19.000000000 +0000
@@ -19,33 +19,6 @@
from mfa import MFA
-isE = False
-try:
- import enthought
- isE = True
-except ImportError:
- pass
-try:
- import envisage
- import mayavi
- isE = True
-except ImportError:
- pass
-try:
- import xy
- isE = False
-except ImportError:
- pass
-
-if isE:
- s = """
- Seems like you are using OpenOpt from
- commercial Enthought Python Distribution;
- consider using free GPL-licensed alternatives
- PythonXY (http://www.pythonxy.com) or
- Sage (http://sagemath.org) instead.
- """
- print(s)
#__all__ = filter(lambda s:not s.startswith('_'),dir())

@ -0,0 +1,23 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>sci-mathematics</herd>
<longdescription lang='en'>
The OpenOpt suite of Python packages contains the following modules:
* OpenOpt: universal numerical optimization package with
several solvers (e.g. ralg) and connections to tens of other,
graphical output of convergence.
* FuncDesigner: tool to rapidly build functions over
variables/arrays and get their dense/sparse derivatives via
automatic differentiation, integration (with specifiable accuracy by
interalg), interpolation, uncertainty analysis and interval
analysis, eigenvalue analysis, solve systems of linear/nonlinear/ODE
equations and numerical optimization problems coded in FuncDesigner
by OpenOpt.
* DerApproximator: tool to get (or check user-supplied) derivatives
via finite-difference approximation
* SpaceFuncs: tool for 2D, 3D, N-dimensional geometric modeling with
possibilities of parametrized calculations, numerical optimization
and solving systems of geometrical equations.
</longdescription>
</pkgmetadata>

@ -0,0 +1,96 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/oosuite/oosuite-0.37.ebuild,v 1.1 2012/01/07 20:39:27 bicatali Exp $
EAPI=4
# python eclass cruft
SUPPORT_PYTHON_ABIS="1"
PYTHON_USE_WITH="tk?"
RESTRICT_PYTHON_ABIS="2.4"
inherit distutils eutils
MYPN="OOSuite"
MYPID="f/f3"
DESCRIPTION="OpenOpt suite of Python modules for numerical optimization"
HOMEPAGE="http://openopt.org/"
SRC_URI="http://openopt.org/images/${MYPID}/${MYPN}.zip -> ${MYPN}-${PV}.zip"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples minimal tk"
RDEPEND="dev-python/numpy
!minimal? (
dev-python/cvxopt[glpk]
dev-python/lp_solve
dev-python/matplotlib
dev-python/setproctitle
sci-libs/nlopt[python]
sci-libs/scipy )"
DEPEND="app-arch/unzip
dev-python/numpy
dev-python/setuptools"
S="${WORKDIR}/PythonPackages"
src_prepare() {
epatch "${FILESDIR}"/${P}-no-init-msg.patch
OO_DIRS="DerApproximator FuncDesigner OpenOpt SpaceFuncs"
find . -name "*COPYING*" -delete
# move all examples and tests away to ease installation in proper directory
mkdir "${WORKDIR}/examples"
local d e
for d in ${OO_DIRS}; do
mkdir "${WORKDIR}/examples/${d}"
for e in $(find ${d} -type d -name examples -or -name tests -or -name doc); do
mv ${e} "${WORKDIR}/examples/${d}/" || die
done
done
}
src_compile() {
local d
for d in ${OO_DIRS}; do
pushd ${d} > /dev/null
distutils_src_compile
popd > /dev/null
done
}
src_test() {
testing() {
local d t oldpath=${PYTHONPATH}
for d in ${OO_DIRS}; do
PYTHONPATH="${S}/${d}/build-${PYTHON_ABI}/lib:${PYTHONPATH}"
done
export PYTHONPATH
cd "${WORKDIR}"/examples
for t in \
DerApproximator/tests/t_check.py \
FuncDesigner/examples/sle1.py \
OpenOpt/examples/nlp_1.py \
SpaceFuncs/examples/triangle.py
do
"$(PYTHON)" ${t}
done
export PYTHONPATH=${oldpath}
}
python_execute_function testing
}
src_install() {
local d
for d in ${OO_DIRS}; do
pushd ${d} > /dev/null
distutils_src_install
popd > /dev/null
done
if use examples; then
insinto /usr/share/doc/${PF}
doins -r "${WORKDIR}"/examples
fi
}

@ -1 +1,2 @@
DIST python-memcached-1.47.tar.gz 37465 RMD160 5cd519222d39f96de7a6d37dc8ceba59a6045179 SHA1 682f491a940dc73f97a5c6d6f027d6dd1a4a8c19 SHA256 59c5139d0a8d03e9bd796c984d0cd75b94ef955578372158152dacdfdfe32fc3
DIST python-memcached-1.48.tar.gz 40448 RMD160 4c7992a79e95f28b5792e9d5f8d8cdcd03dd58ef SHA1 cdb72f0f27135298ff06c8e41e50a0c10b027002 SHA256 66bbc62d9519f9d531b1f77e687d9f2f5e521cb906f1fd7231f403997e0110c4

@ -0,0 +1,37 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-memcached/python-memcached-1.48.ebuild,v 1.1 2012/01/08 07:00:30 patrick Exp $
EAPI="3"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"
inherit distutils
DESCRIPTION="Pure python memcached client"
HOMEPAGE="http://www.tummy.com/Community/software/python-memcached/ http://pypi.python.org/pypi/python-memcached"
SRC_URI="ftp://ftp.tummy.com/pub/python-memcached/old-releases/${P}.tar.gz"
LICENSE="OSL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
IUSE="test"
DEPEND="dev-python/setuptools
test? ( net-misc/memcached )"
RDEPEND=""
PYTHON_MODNAME="memcache.py"
src_test() {
cp memcache.py memcache_test.py || die
sed -ie "s/11211/11219/" memcache_test.py || die
testing() {
memcached -u portage -d -p 11219 -l localhost -P "${T}/memcached.pid"
PYTHONPATH="build-${PYTHON_ABI}/lib" "$(PYTHON)" memcache_test.py || die
kill "$(<"${T}/memcached.pid")"
rm "${T}/memcached.pid"
}
python_execute_function testing
}

@ -1,9 +1,9 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/daemon_controller/daemon_controller-0.2.6.ebuild,v 1.2 2011/06/24 18:34:30 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/daemon_controller/daemon_controller-0.2.6.ebuild,v 1.3 2012/01/08 05:22:51 graaff Exp $
EAPI=2
USE_RUBY="ruby18 ree18"
USE_RUBY="ruby18 ruby19 ree18"
RUBY_FAKEGEM_TASK_TEST=""
@ -12,7 +12,7 @@ RUBY_FAKEGEM_EXTRADOC="README.markdown"
inherit ruby-fakegem
DESCRIPTION="A library for starting and stopping specific daemons programmatically in a robust, race-condition-free manner."
DESCRIPTION="A library for starting and stopping specific daemons programmatically in a robust manner."
HOMEPAGE="http://github.com/FooBarWidget/daemon_controller"
LICENSE="MIT"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/multi_json/multi_json-1.0.4.ebuild,v 1.3 2011/12/27 15:32:06 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/multi_json/multi_json-1.0.4.ebuild,v 1.4 2012/01/08 09:25:30 grobian Exp $
EAPI=2
@ -20,7 +20,7 @@ DESCRIPTION="A gem to provide swappable JSON backends"
HOMEPAGE="http://github.com/intridea/multi_json"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rake/rake-0.9.2.2.ebuild,v 1.2 2011/12/31 19:18:55 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rake/rake-0.9.2.2.ebuild,v 1.3 2012/01/08 06:29:36 graaff Exp $
EAPI=4
USE_RUBY="ruby18 ree18 ruby19 jruby"
@ -23,7 +23,8 @@ IUSE="bash-completion doc"
DEPEND="${DEPEND} app-arch/gzip"
RDEPEND="${RDEPEND}"
ruby_add_bdepend "test? ( dev-ruby/minitest )"
ruby_add_bdepend "doc? ( dev-ruby/rdoc )
test? ( dev-ruby/minitest )"
all_ruby_prepare() {
# Comment out unimportant test which failes on ruby18 at least.

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,16 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-atk/ruby-atk-1.1.0.ebuild,v 1.1 2012/01/07 22:21:58 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby Atk bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="${DEPEND} dev-libs/atk"
RDEPEND="${RDEPEND} dev-libs/atk"
ruby_add_rdepend ">=dev-ruby/ruby-glib2-${PV}"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-gdkpixbuf2/ruby-gdkpixbuf2-1.1.0.ebuild,v 1.1 2012/01/07 22:12:41 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_NAME="gdk_pixbuf2"
inherit ruby-ng-gnome2
S=${WORKDIR}/ruby-gnome2-all-${PV}/gdk_pixbuf2
DESCRIPTION="Ruby GdkPixbuf2 bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="x11-libs/gtk+:2"
ruby_add_rdepend ">=dev-ruby/ruby-glib2-${PV}"

@ -2,3 +2,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,14 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-gio2/ruby-gio2-1.1.0.ebuild,v 1.1 2012/01/07 21:45:39 naota Exp $
EAPI=2
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby binding of GooCanvas"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/ruby-glib2-${PV}"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,19 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-glib2/ruby-glib2-1.1.0.ebuild,v 1.1 2012/01/07 21:41:50 naota Exp $
EAPI="3"
USE_RUBY="ruby18 ree18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby Glib2 bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND} >=dev-libs/glib-2"
DEPEND="${DEPEND}
>=dev-libs/glib-2"
each_ruby_configure() {
${RUBY} extconf.rb || die "extconf.rb failed"
}

@ -0,0 +1,33 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-gnome2/ruby-gnome2-1.1.0.ebuild,v 1.1 2012/01/08 06:56:29 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng
DESCRIPTION="Ruby Gnome2 bindings"
HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
SRC_URI=""
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND}
>=gnome-base/libgnome-2.2
>=gnome-base/libgnomeui-2.2"
DEPEND="${DEPEND}
>=gnome-base/libgnome-2.2
>=gnome-base/libgnomeui-2.2"
ruby_add_rdepend ">=dev-ruby/ruby-gio2-${PV}
>=dev-ruby/ruby-goocanvas-${PV}
>=dev-ruby/ruby-gstreamer-${PV}
>=dev-ruby/ruby-gtk2-${PV}
>=dev-ruby/ruby-gtksourceview-${PV}
>=dev-ruby/ruby-poppler-${PV}
>=dev-ruby/ruby-rsvg-${PV}
>=dev-ruby/ruby-vte-${PV}"

@ -2,3 +2,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-goocanvas/ruby-goocanvas-1.1.0.ebuild,v 1.1 2012/01/07 21:55:11 naota Exp $
EAPI=2
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby binding of GooCanvas"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND}
x11-libs/goocanvas:0"
DEPEND="${DEPEND}
x11-libs/goocanvas:0"
ruby_add_bdepend "dev-ruby/pkg-config
dev-ruby/rcairo"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-gstreamer/ruby-gstreamer-1.1.0.ebuild,v 1.1 2012/01/07 22:00:57 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby GStreamer bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND}
=media-libs/gstreamer-0.10*
=media-libs/gst-plugins-base-0.10*"
DEPEND="${DEPEND}
=media-libs/gstreamer-0.10*
=media-libs/gst-plugins-base-0.10*
dev-util/pkgconfig"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,21 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-gtk2/ruby-gtk2-1.1.0.ebuild,v 1.1 2012/01/07 22:30:27 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby Gtk2 bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="${DEPEND} x11-libs/gtk+:2"
RDEPEND="${RDEPEND} x11-libs/gtk+:2"
ruby_add_bdepend ">=dev-ruby/ruby-glib2-${PV}
>=dev-ruby/ruby-pango-${PV}"
ruby_add_rdepend ">=dev-ruby/ruby-gdkpixbuf2-${PV}
>=dev-ruby/ruby-atk-${PV}
>=dev-ruby/ruby-gio2-${PV}"

@ -2,3 +2,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,24 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-gtksourceview/ruby-gtksourceview-1.1.0.ebuild,v 1.1 2012/01/08 05:57:35 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_NAME="gtksourceview2"
inherit ruby-ng-gnome2
S=${WORKDIR}/ruby-gnome2-all-${PV}/gtksourceview2
DESCRIPTION="Ruby bindings for gtksourceview"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND}
x11-libs/gtksourceview:2.0"
DEPEND="${DEPEND}
x11-libs/gtksourceview:2.0
dev-util/pkgconfig"
ruby_add_rdepend ">=dev-ruby/ruby-gtk2-${PV}"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-pango/ruby-pango-1.1.0.ebuild,v 1.1 2012/01/07 22:06:41 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby Pango bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="${DEPEND}
>=x11-libs/pango-1.2.1
>=dev-ruby/rcairo-1.2.0"
RDEPEND="${RDEPEND}
>=x11-libs/pango-1.2.1
>=dev-ruby/rcairo-1.2.0"
ruby_add_rdepend ">=dev-ruby/ruby-glib2-${PV}"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,22 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-poppler/ruby-poppler-1.1.0.ebuild,v 1.1 2012/01/08 06:08:51 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby poppler-glib bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND}
app-text/poppler[cairo]"
DEPEND="${DEPEND}
app-text/poppler[cairo]
dev-util/pkgconfig"
ruby_add_rdepend "dev-ruby/ruby-gdkpixbuf2
>=dev-ruby/ruby-glib2-${PV}
>=dev-ruby/ruby-gtk2-${PV}"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,26 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-rsvg/ruby-rsvg-1.1.0.ebuild,v 1.1 2012/01/08 06:15:42 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_NAME=rsvg2
inherit ruby-ng-gnome2
S=${WORKDIR}/ruby-gnome2-all-${PV}/rsvg2
DESCRIPTION="Ruby bindings for librsvg"
KEYWORDS="~amd64 ~x86"
IUSE="cairo"
RDEPEND="${RDEPEND}
>=gnome-base/librsvg-2.8"
DEPEND="${DEPEND}
>=gnome-base/librsvg-2.8
dev-util/pkgconfig"
ruby_add_rdepend ">=dev-ruby/ruby-glib2-${PV}
>=dev-ruby/ruby-gdkpixbuf2-${PV}
cairo? ( dev-ruby/rcairo )"

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-svg/ruby-svg-1.0.3-r2.ebuild,v 1.1 2010/07/11 08:58:19 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-svg/ruby-svg-1.0.3-r2.ebuild,v 1.2 2012/01/07 17:52:58 ago Exp $
EAPI=2
USE_RUBY="ruby18"
@ -12,7 +12,7 @@ HOMEPAGE="http://ruby-svg.sourceforge.jp/"
SRC_URI="http://downloads.sourceforge.jp/ruby-svg/2288/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~x86"
KEYWORDS="amd64 ~ia64 ~ppc ~x86"
IUSE="doc examples"
ruby_add_bdepend "doc? ( dev-ruby/rdtool )"

@ -3,3 +3,4 @@ DIST ruby-gnome2-all-0.90.8.tar.gz 2625780 RMD160 7d702a5b594b9bdf9085e346102f03
DIST ruby-gnome2-all-0.90.9.tar.gz 1158581 RMD160 7120f3afeae8849fc3de86d1a5fdcc5f4f94070c SHA1 f8d9951f37603720cb4f5d353a9b6b5261f6e56b SHA256 a0f32abb9e93eb39b16cfff6ebf437bd2feeb6b4ee22df6408effd90cfe8fa1e
DIST ruby-gnome2-all-1.0.0.tar.gz 1160036 RMD160 4487a3484c77ccee928b45316053938b8a810693 SHA1 28866952d255a6ddae499329daa968def65d876b SHA256 cdfeadcae5cf4b80294bc87c23c71d35fb789ede87dedeed1d52ea176045abf5
DIST ruby-gnome2-all-1.0.3.tar.gz 1141565 RMD160 bac4a901b3c09f548ced80c2a1cfbea482dc0ead SHA1 2a280760e411e443e4e617ca5345a3301fbd609d SHA256 0303c12096ebd85a633c848d1d5a7e132e1ce7237ad6b9051d2f290590d2c6b4
DIST ruby-gnome2-all-1.1.0.tar.gz 1006675 RMD160 930f8ded1e84a0d42d138ccc89c60f7585c81f96 SHA1 c267a2e5a13ae9cf4d0bb6ed1c2e05fc72101053 SHA256 e54cef710c6ec43129086fbdc9173b0cc2d04a6e22a5e779073c9692fea3561f

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-vte/ruby-vte-1.1.0.ebuild,v 1.1 2012/01/08 06:42:30 naota Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
inherit ruby-ng-gnome2
DESCRIPTION="Ruby vte bindings"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="${RDEPEND}
>=x11-libs/vte-0.12.1:0"
DEPEND="${DEPEND}
>=x11-libs/vte-0.12.1:0
dev-util/pkgconfig"
ruby_add_rdepend ">=dev-ruby/ruby-gtk2-${PV}"

@ -1,3 +1,4 @@
DIST rubygems-1.3.7.tgz 290986 RMD160 2ea8e16d1535216045798258603d5f2f9e3dbfea SHA1 68ad2970963db9893b76acc8777be72a77c4bee4 SHA256 388b90ae6273f655507b10c8ba6bee9ea72e7d49c3e610025531cb8c3ba67c9d
DIST rubygems-1.8.10.tgz 249683 RMD160 2c7dc4bc5459a0b2cf771c9398f750cfe0dbcbf5 SHA1 d2e8c5d9f7a69ef2c6a98097ff192f238b0ce11f SHA256 38151bd62a88b8d0867f7acfd4aac83f2c4e6dfd9ec992ed5b96c44a1cd78552
DIST rubygems-1.8.11.tgz 430197 RMD160 6e3070a802ee9d0dffa30c40f7232525afc0212d SHA1 88677a3443d6becdc0cde540d73304bdfb88fe11 SHA256 89479440a1ff497b6ffdec38b5fae2ec50cf344200782b1eb8db510db38f6255
DIST rubygems-1.8.13.tgz 250615 RMD160 35e2812a79dc6c0339ac6cce7f721ac38cb5c6c2 SHA1 f6dc9679985975b133ac48d98df78375bdbab767 SHA256 20c1061c98450d02b2c5c5f1c5fecacb942723b5f33842d2efa5c5aee7bdd5f9

@ -0,0 +1,126 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubygems/rubygems-1.8.13.ebuild,v 1.1 2012/01/08 06:20:53 graaff Exp $
EAPI="4"
# jruby's own RUBY_ENGINE defaults are no longer compatible.
USE_RUBY="ruby18 ree18 ruby19 jruby"
inherit ruby-ng prefix
DESCRIPTION="Centralized Ruby extension management system"
HOMEPAGE="http://rubyforge.org/projects/rubygems/"
LICENSE="|| ( Ruby MIT )"
SRC_URI="mirror://rubyforge/${PN}/${P}.tgz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE="server test"
RDEPEND="
ruby_targets_jruby? ( >=dev-java/jruby-1.5.6-r1 )
ruby_targets_ruby19? ( >=dev-lang/ruby-1.9.3_rc1 )"
# index_gem_repository.rb
PDEPEND="server? ( dev-ruby/builder[ruby_targets_ruby18] )"
# Tests fail when YARD is installed.. but just the rdoc-related stuff,
# so it's not a mistake.
ruby_add_bdepend "
test? (
dev-ruby/minitest
virtual/ruby-rdoc
!!dev-ruby/yard
)"
all_ruby_prepare() {
mkdir -p lib/rubygems/defaults || die
cp "${FILESDIR}/gentoo-defaults.rb" lib/rubygems/defaults/operating_system.rb || die
eprefixify lib/rubygems/defaults/operating_system.rb
# Disable broken tests when changing default values:
sed -i -e '/^ def test_self_bindir_default_dir/, /^ end/ s:^:#:' \
-e '/^ def test_self_default_dir/, /^ end/ s:^:#:' \
test/rubygems/test_gem.rb || die
# Remove tests that want to write to /usr/local/bin
rm test/rubygems/test_gem_uninstaller.rb test/rubygems/test_gem_install_update_options.rb || die
}
each_ruby_compile() {
# Not really a build but...
sed -i -e 's:#!.*:#!'"${RUBY}"':' bin/gem
}
each_ruby_test() {
# Unset RUBYOPT to avoid interferences, bug #158455 et. al.
unset RUBYOPT
case ${RUBY} in
*jruby)
eqawarn "Skipping tests for jruby 1.5."
;;
*)
RUBYLIB="$(pwd)/lib${RUBYLIB+:${RUBYLIB}}" ${RUBY} -I.:lib:test \
-e 'Dir["test/**/test_*.rb"].each { |tu| require tu }' || die "tests failed"
;;
esac
}
each_ruby_install() {
# Unset RUBYOPT to avoid interferences, bug #158455 et. al.
unset RUBYOPT
export RUBYLIB="$(pwd)/lib${RUBYLIB+:${RUBYLIB}}"
pushd lib &>/dev/null
doruby -r *
popd &>/dev/null
case "${RUBY}" in
*ruby19)
local sld=$(ruby_rbconfig_value 'sitelibdir')
insinto "${sld#${EPREFIX}}" # bug #320813
newins "${FILESDIR}/auto_gem.rb.ruby19" auto_gem.rb || die
;;
*)
doruby "${FILESDIR}/auto_gem.rb" || die
;;
esac
newbin bin/gem $(basename ${RUBY} | sed -e 's:ruby:gem:') || die
}
all_ruby_install() {
dodoc History.txt README.rdoc
doenvd "${FILESDIR}/10rubygems"
if use server; then
newinitd "${FILESDIR}/init.d-gem_server2" gem_server || die "newinitd failed"
newconfd "${FILESDIR}/conf.d-gem_server" gem_server || die "newconfd failed"
fi
}
pkg_postinst() {
if [[ ! -n $(readlink "${ROOT}"usr/bin/gem) ]] ; then
eselect ruby set $(eselect --brief --no-color ruby show | head -n1)
fi
ewarn
ewarn "To switch between available Ruby profiles, execute as root:"
ewarn "\teselect ruby set ruby(18|19|...)"
ewarn
}
pkg_postrm() {
ewarn "If you have uninstalled dev-ruby/rubygems, Ruby applications are unlikely"
ewarn "to run in current shells because of missing auto_gem."
ewarn "Please run \"unset RUBYOPT\" in your shells before using ruby"
ewarn "or start new shells"
ewarn
ewarn "If you have not uninstalled dev-ruby/rubygems, please do not unset "
ewarn "RUBYOPT"
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sqlite3-ruby/sqlite3-ruby-1.3.3.ebuild,v 1.3 2012/01/07 08:35:31 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sqlite3-ruby/sqlite3-ruby-1.3.3.ebuild,v 1.4 2012/01/07 17:50:25 ago Exp $
EAPI=2
USE_RUBY="ruby18 ree18"
@ -17,7 +17,7 @@ DESCRIPTION="An extension library to access a SQLite database from Ruby"
HOMEPAGE="http://rubyforge.org/projects/sqlite-ruby/"
LICENSE="BSD"
KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
SLOT="0"
IUSE=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tkdnd/tkdnd-2.2.ebuild,v 1.1 2012/01/06 17:49:33 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tkdnd/tkdnd-2.2.ebuild,v 1.2 2012/01/07 16:55:39 jlec Exp $
EAPI=4
@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_PN}/${MY_PN}%20${PV}/${P/-/}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~x86"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="debug threads X"
RESTRICT="test"

@ -0,0 +1 @@
DIST rail-1.2_p1.zip 107773 RMD160 48e5e49be59dd0af51a4d7ed43c6a883bf42ce7e SHA1 0f958aef5c25e373555079b5a4632b86f5903342 SHA256 960238a6c344f044b3f1ab441f6cfbc9ad9aaffe407d44bd15627ef40ce6725c

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>tex</herd>
<longdescription lang='en'>
A C program and LaTeX package to draw syntax diagrams specified in EBNF.
</longdescription>
</pkgmetadata>

@ -0,0 +1,37 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tex/rail/rail-1.2_p1.ebuild,v 1.1 2012/01/08 12:40:00 gienah Exp $
EAPI="4"
inherit latex-package
DESCRIPTION="Offers syntax/railroad diagrams"
HOMEPAGE="http://www.ctan.org/tex-archive/support/rail/"
SRC_URI="http://mirror.ctan.org/support/${PN}.zip
-> ${P}.zip"
LICENSE="LPPL-1.2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""
RDEPEND="app-text/texlive"
DEPEND="${RDEPEND}
app-arch/unzip
sys-devel/bison
sys-devel/flex"
S=${WORKDIR}/${PN}
src_compile() {
emake -j 1 || die "make failed"
}
src_install() {
latex-package_src_doinstall sty doc
dobin rail || die "Installing the rail tool failed"
newman rail.man rail.1 || die "Installing the manpage failed"
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save